<?php
/**
 * app/plugins/todo/controllers/tasts.php
 *
 * This is the task lists' API controller.
 *
 * @package TP ToDo
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers\Api;

use TheTempusProject\Models\Tasklists as ListModel;
use TheTempusProject\Classes\ApiController;
use TheTempusProject\Houdini\Classes\Views;

class Lists extends ApiController {
    protected static $lists;

    public function __construct() {
        parent::__construct();
        self::$lists = new ListModel;
    }

    public function hide( $id = null ) {
        $list = self::$lists->get( $id );
        if ( ! $list ) {
            $responseType = 'error';
            $response = 'No list found.';
        } else {
            $responseType = 'data';
            $response = self::$lists->hide( $id );
        }
        Views::view( 'api.response', ['response' => json_encode( [ $responseType => $response ], true )]);
    }

    public function delete( $id = null ) {
        $list = self::$lists->get( $id );
        if ( ! $list ) {
            $responseType = 'error';
            $response = 'No list found.';
        } else {
            $responseType = 'data';
            $response = self::$lists->delete( $id );
        }
        Views::view( 'api.response', ['response' => json_encode( [ $responseType => $response ], true )]);
    }

    public function home( $id = null ) {
        $list = self::$lists->get( $id );
        if ( ! $list ) {
            $responseType = 'error';
            $response = 'No list found.';
        } else {
            $responseType = 'data';
            $response = $list;
        }
        Views::view( 'api.response', ['response' => json_encode( [ $responseType => $response ], true )]);
    }
}
